API referenceProviders

List Provider Types

GET/api/v1/provider-types/{kind}

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

kind*Kind

Value in

  • "model"
  • "environment"
  • "connector"
  • "web"
  • "memory"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/provider-types/model"
{  "items": [    {      "authentication": {        "cases": [],        "mode": "required"      },      "catalog_providers": [        "string"      ],      "configuration_schema": {        "property1": null,        "property2": null      },      "credential_schema": {        "property1": null,        "property2": null      },      "default_model_api": "string",      "display_name": "string",      "environment_schema": {        "property1": null,        "property2": null      },      "model_api_labels": {        "property1": "string",        "property2": "string"      },      "model_apis": [        "string"      ],      "operations": [        "search"      ],      "settings_schemas": {        "property1": {          "property1": null,          "property2": null        },        "property2": {          "property1": null,          "property2": null        }      },      "setup_label": "string",      "setup_url": "string",      "supports_destroy": true,      "supports_stop": true,      "supports_test": true,      "type": "string"    }  ],  "next_cursor": "string"}